Delete a member

DELETE/v0.1/merchants/{merchant_code}/members/{member_id}

Deletes a merchant member.

OAuth scopes: Requires one of: user.subaccounts, members.write.

Required permissions:

  • members_delete

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2 with scopes user.subaccountsmembers.write
Authorization guide

Path parameters

  • merchant_codestringrequired

    Short unique identifier for the merchant.

    Example: "MK10CL2A"

  • member_idstringrequired

    The ID of the member to retrieve.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"

Responses

200

Returns an empty response if the deletion succeeded.

    Returns an empty response.

    403application/problem+json

    Member deletion was forbidden.

    • typestringrequired
      format: uri

      A URI reference that identifies the problem type.

      Example: "https://developer.sumup.com/problem/not-found"

    • titlestring

      A short, human-readable summary of the problem type.

      Example: "Requested resource couldn't be found."

    • statusinteger

      The HTTP status code generated by the origin server for this occurrence of the problem.

      Example: 404

    • detailstring

      A human-readable explanation specific to this occurrence of the problem.

      Example: "The requested resource doesn't exist or does not belong to you."

    • instancestring
      format: uri

      A URI reference that identifies the specific occurrence of the problem.

      Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

    404application/problem+json

    Merchant or member not found.

    • typestringrequired
      format: uri

      A URI reference that identifies the problem type.

      Example: "https://developer.sumup.com/problem/not-found"

    • titlestring

      A short, human-readable summary of the problem type.

      Example: "Requested resource couldn't be found."

    • statusinteger

      The HTTP status code generated by the origin server for this occurrence of the problem.

      Example: 404

    • detailstring

      A human-readable explanation specific to this occurrence of the problem.

      Example: "The requested resource doesn't exist or does not belong to you."

    • instancestring
      format: uri

      A URI reference that identifies the specific occurrence of the problem.

      Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

    Type to search…